Search found 98 matches

by ifohancroft
Mon Oct 11, 2021 5:57 pm
Forum: Job offers
Topic: Paid reverse-engineering gig, 3D scanner required
Replies: 1
Views: 2880

Re: Paid reverse-engineering gig, 3D scanner required

I'm a fan of vintage Model M buckling-spring keyboards. I've been learning FreeCAD in order to design a custom drilling jig for a restoration procedure often done on them called a "bolt mod". I'd like to have a parametric CAD model of a Model M case good enough to 3d-print or injection-mo...
by ifohancroft
Wed Oct 06, 2021 12:52 am
Forum: Open discussion
Topic: Any other Bulgarians here?
Replies: 1
Views: 471

Any other Bulgarians here?

I am not entirely sure, but I think that should be the right section of the forum to post in.
I just got curious and decided to do a headcount to see if there are any other Bulgarians here besides me.
by ifohancroft
Sun Oct 03, 2021 2:40 am
Forum: Tutorials and videos
Topic: freecad vs archicad vs sketchup etc.
Replies: 15
Views: 2509

Re: freecad vs archicad creation of a terrain model, vs revit calculate excavation, vs sketchup etc.

I haven't tried much outside of FreeCAD, but it's definitely awesome at this kind of work. My parents in-law's house currently has stairs that I designed in FreeCAD. (I know there are people doing more complex things, but it was the first time something I've designed has been made into the real worl...
by ifohancroft
Mon Sep 27, 2021 1:56 pm
Forum: Python scripting and macros
Topic: [Solved] How to select a point on Sketcher's screen for use in a macro?
Replies: 17
Views: 1603

Re: How to select a point on Sketcher's screen for use in a macro?

Sorry. What do you mean by which information I have as a reference? Currently, I was executing ActiveSketch in the python console to check whether it's still an object or if I'd get an error. Is there a way to do it without having to have the sketch's name? I am looking for a more generic way to fi...
by ifohancroft
Mon Sep 27, 2021 1:43 pm
Forum: Python scripting and macros
Topic: [Solved] How to select a point on Sketcher's screen for use in a macro?
Replies: 17
Views: 1603

Re: How to select a point on Sketcher's screen for use in a macro?

Sorry. What do you mean by which information I have as a reference? Currently, I was executing ActiveSketch in the python console to check whether it's still an object or if I'd get an error. Is there a way to do it without having to have the sketch's name? I am looking for a more generic way to fi...
by ifohancroft
Mon Sep 27, 2021 1:29 pm
Forum: Python scripting and macros
Topic: [Solved] How to select a point on Sketcher's screen for use in a macro?
Replies: 17
Views: 1603

Re: How to select a point on Sketcher's screen for use in a macro?

No. I am trying to figure out if a sketch still exists so I don't try to execute my code if the sketch got deleted. However, I can't use ActiveSketch to check for that, because apparently it still holds the sketch object, even after the sketch is deleted. Would need to know which information you ha...
by ifohancroft
Mon Sep 27, 2021 11:22 am
Forum: Python scripting and macros
Topic: [Solved] How to select a point on Sketcher's screen for use in a macro?
Replies: 17
Views: 1603

Re: How to select a point on Sketcher's screen for use in a macro?

1. The ActiveSketch object doesn't get deleted when the Sketch does. What way would you recommend to check for the presence of an active sketch before drawing geometry or adding constraints? If you try to add geometry to a deleted sketch, by using ActiveSketch, there are no errors, just nothing hap...
by ifohancroft
Sat Sep 25, 2021 3:21 am
Forum: Python scripting and macros
Topic: [Solved] How to select a point on Sketcher's screen for use in a macro?
Replies: 17
Views: 1603

Re: How to select a point on Sketcher's screen for use in a macro?

Apparently it took me about 9 hours, but I am very happy with the result: import FreeCAD import FreeCADGui import Sketcher import PySide2 from PySide2 import QtGui, QtWidgets from PySide2.QtWidgets import QApplication from PySide2.QtGui import QPixmap, QCursor class SwitchCutout: def __init__(self):...
by ifohancroft
Fri Sep 24, 2021 6:59 pm
Forum: Python scripting and macros
Topic: [Solved] How to select a point on Sketcher's screen for use in a macro?
Replies: 17
Views: 1603

Re: How to select a point on Sketcher's screen for use in a macro?

I think I got it.

It seems my confusion was coming from not understanding the concept well enough.

I think I managed to wrap my head around it.

In a bit I'll post what I came up with.
by ifohancroft
Fri Sep 24, 2021 6:05 pm
Forum: Python scripting and macros
Topic: [Solved] How to select a point on Sketcher's screen for use in a macro?
Replies: 17
Views: 1603

Re: How to select a point on Sketcher's screen for use in a macro?

Does your macro have a GUI? No. It does not. I execute it from the Macros window. I used to have an icon for it in the toolbar, but that's about it. I am just trying to add click coordinates for them so I can choose where to place the sketches inside of a Sketcher document. To me the best solution ...